# http://download.drobilla.net/lilv-0.24.2.tar.bz2
%define _enable_debug_packages %{nil}
%define debug_package	%{nil}

%define api		0
%define major	0
%define libname	%mklibname %{name} %{api} %{major}
%define develname	%mklibname %{name} -d

Name:    lilv
Version: 0.24.12
Release: %mkrel 2
Summary: LV2 plugin library for applications and hosts

Source0: http://download.drobilla.net/%{name}-%{version}.tar.xz
URL:     http://drobilla.net/software/%{name}/
License: ISC License (ISC)
Group:   System/Libraries

BuildRequires:  waf
BuildRequires:  pkgconfig
BuildRequires:  python
BuildRequires:  lib64serd-devel
BuildRequires:  lib64sord-devel
BuildRequires:  lib64sratom-devel
BuildRequires:  lv2-devel >= 1.18.0

%description
LV2 plugin library for applications and hosts

%files -n %{name}
%defattr(-,root,root)
%doc %{_mandir}/man1/lv2apply.1.bz2
%doc %{_mandir}/man1/lv2info.1.bz2
%doc %{_mandir}/man1/lv2ls.1.bz2
%{_bindir}/lilv-bench
%{_bindir}/lv2apply
%{_bindir}/lv2info
%{_bindir}/lv2ls
%{_bindir}/lv2bench
/usr/lib/python2.7/site-packages/lilv.py
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/bash_completion.d/lilv

%package -n     %{libname}

Summary:	      LV2 plugin library for applications and hosts
Group:		      System/Libraries
Obsoletes:	    lib64lilv0 < 0.16.0-2

%description -n %{libname}
Lilv is a library to make the use of LV2 plugins as simple as possible
for applications. Lilv is the successor to SLV2, rewritten to be
significantly faster and have minimal dependencies.

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib%{name}-%{api}.so.%{major}
%{_libdir}/lib%{name}-%{api}.so.%{major}.*

%package -n     %{develname}
Summary:	      Headers for the lilv LV2 library
Group:		      Development/Libraries
Requires:	      %{libname} = %{version}-%{release}
Provides:	      %{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files needed to build applications against lilv.

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/lib%{name}-%{api}.so
%dir %{_includedir}/%{name}-%{api}/%{name}
%{_includedir}/%{name}-%{api}/%{name}/*.h
%{_includedir}/%{name}-%{api}/%{name}/*.hpp
%{_libdir}/pkgconfig/%{name}-%{api}.pc

%prep
%setup -q

%build
%setup_compile_flags
./waf configure \
	--prefix=%{_prefix} \
	--mandir=%{_mandir} \
	--libdir=%{_libdir} \
	--configdir=%{_sysconfdir}
./waf -v

%install
./waf install --destdir=%{buildroot}


%changelog
* Thu Oct 14 2021 onkelho <oh.quait at gmail.com> - 0.24.12-2pclos2021
- rebuild against updates lv2

* Thu Mar 04 2021 tex - 0.24.12-1pclos2021
- new version

* Mon Sep 28 2020 tex - 0.24.10-1pclos2020
- new version

* Sun Jul 05 2020 ghostbunny <ghostbunny at gmx dot de> 0.24.8-1pclos2020
- 0.24.8

* Fri Jun 12 2020 ghostbunny <ghostbunny at gmx dot de> 0.24.6-1pclos2020
- 0.24.6

* Sat May 18 2019 tex - 0.24.2-2pclos2019
- rebuild against updates

* Sun Apr 29 2018 marcin82 <fixxer1982 at gmail.com> 0.24.2-1pclos2018
- update

* Sat Jun 13 2015 gseaman <galen.seaman at comcast.net> 0.20.0-1gseaman2015
- 0.20.0

* Tue Oct 29 2013 pinoc <vogtpet at gmail.com> 0.16.0-1pclos2013
- imported package lilv
